2019-12-10 13:48 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002011FSSCPmultiplayerpublic2010-02-12 01:41
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002011: Send-message-list sends all messages at once client side
DescriptionAt least in TvT haven't tried it in coop or dogfight. Attaching mission using retail data that reproduces this.
Additional Information3.6.11 r5620
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011215

FUBAR-BDHR (developer)

Did some research on this one. Seems the problem lies in missionmessage.cpp line 1702-1704:

if ( MULTIPLAYER_MASTER ){
     send_mission_message_packet( i, who_from, priority, MESSAGE_TIME_SOON, source, -1, -1, -1);
}

This does not send delay so multimsgs.cpp never packs it up and at line 3451 you have this:

if(!message_filter_multi(id)){
    // send the message as if it came from an sexpression
    message_queue_message( id, priority, utiming, who_from, source, 0, 0, builtin_type );
}

Which just sends a delay of 0 for all multiplayer messages.

~0011362

FUBAR-BDHR (developer)

This one looks really easy to fix. Probably adding 2 lines and modifying 2 existing ones. Unfortunately the 2 added lines are to send and receive the delay in the packet and I'm pretty certain that would break backward compatibility.

process_mission_message_packet() in multimsgs.cpp would need delay defined as int and a get for that. Also needs to send delay instead of 0 to message_queue_message().

send_mission_message_packet() would need to take int delay = 0 as an argument and do an add to the packet for that.

message_send_unique_to_player() would need to pass delay to send_mission_message_packet()
+Notes

-Issue History
Date Modified Username Field Change
2009-10-28 19:57 FUBAR-BDHR New Issue
2009-10-28 19:57 FUBAR-BDHR File Added: 2multibug.fs2
2009-10-29 02:34 FUBAR-BDHR Note Added: 0011215
2009-12-01 00:55 FUBAR-BDHR Note Added: 0011362
2010-02-06 06:07 karajorma Status new => assigned
2010-02-06 06:07 karajorma Assigned To => karajorma
2010-02-12 01:41 karajorma Status assigned => resolved
2010-02-12 01:41 karajorma Fixed in Version => 3.6.11
2010-02-12 01:41 karajorma Resolution open => fixed
+Issue History